Skip to main content
PATCH
/
client-session
/
{id}
Update a client-session
curl --request PATCH \
  --url https://sandbox-api.paynext.com/client-session/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "currency_details": {
    "plan": {
      "due_now": {
        "local": {
          "amount": 90,
          "currency": "AED",
          "currency_decimals": 2,
          "currency_exchange_rate": 0.9,
          "currency_position": "left",
          "currency_symbol": "€",
          "formatted_amount": "€0.90",
          "formatted_amount_rounded": "€0.99"
        },
        "payment": {
          "amount": 100,
          "currency": "AED",
          "currency_decimals": 2,
          "currency_position": "left",
          "currency_symbol": "$",
          "formatted_amount": "$1.00"
        }
      },
      "local": {
        "amount": 90,
        "currency": "AED",
        "currency_decimals": 2,
        "currency_exchange_rate": 0.9,
        "currency_position": "left",
        "currency_symbol": "€",
        "formatted_amount": "€0.90",
        "formatted_amount_rounded": "€0.99"
      },
      "payment": {
        "amount": 100,
        "currency": "AED",
        "currency_decimals": 2,
        "currency_position": "left",
        "currency_symbol": "$",
        "formatted_amount": "$1.00"
      },
      "trial": {
        "local": {
          "amount": 90,
          "currency": "AED",
          "currency_decimals": 2,
          "currency_exchange_rate": 0.9,
          "currency_position": "left",
          "currency_symbol": "€",
          "formatted_amount": "€0.90",
          "formatted_amount_rounded": "€0.99"
        },
        "payment": {
          "amount": 100,
          "currency": "AED",
          "currency_decimals": 2,
          "currency_position": "left",
          "currency_symbol": "$",
          "formatted_amount": "$1.00"
        }
      }
    }
  },
  "customer": {
    "address": {
      "country": "AD"
    },
    "email": "jane.doe@example.com",
    "external_id": "cust_123456789",
    "id": "cus_11dfa45f-23b1-40f4-9e9b-c9d485915528",
    "metadata": {
      "key": "value"
    }
  },
  "expiry_date": "2021-08-12T16:14:08.578695",
  "id": "d3b07384-d9a5-4d16-a5b1-3fa3d9b0b123",
  "payment": {
    "metadata": {
      "key": "value"
    }
  },
  "plan": {
    "amount": 1999,
    "created_at": "2025-05-26T10:00:00Z",
    "currency": "AED",
    "id": "price_1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
    "interval": "days",
    "interval_count": 1,
    "name": "Pro Plan",
    "trial": {
      "amount": 1999,
      "currency": "AED",
      "interval": "days",
      "interval_count": 1
    },
    "type": "recurring",
    "updated_at": "2025-05-27T10:00:00Z"
  },
  "subscription": {
    "id": "sub_11dfa45f-23b1-40f4-9e9b-c9d485915528",
    "metadata": {
      "key": "value"
    },
    "proration_billing_mode": "prorated_immediately"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.paynext.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication header of the form api key, where api key is your organization api key.

Headers

X-API-Version
enum<string>

Specifies the version of the API to use

Available options:
1.0.0

Path Parameters

id
string
required

The ID of the client session to update

Body

application/json

Update session data

customer
object
options
object
payment
object
plan
object
subscription
object

Response

OK

currency_details
object

Currency-specific pricing and display information

customer
object

Customer information associated with the client session

expiry_date
string

Expiration date and time of the client session

Example:

"2021-08-12T16:14:08.578695"

id
string

ClientSession is a unique session identifier generated for the client

Example:

"d3b07384-d9a5-4d16-a5b1-3fa3d9b0b123"

payment
object

Payment information associated with the client session

plan
object

Plan information associated with the client session

subscription
object

Subscription information associated with the client session